## org.eclipse.datatools.sqltools.core
Class PredefinedDataTypeValidator

    java.lang.Object
      org.eclipse.datatools.sqltools.core.PredefinedDataTypeValidator

public class PredefinedDataTypeValidator
extends java.lang.Object

The validator to validate a predefined data type

Author:
  Dafan Yang

Constructor Summary
`PredefinedDataTypeValidator()`

Method Summary
`static java.lang.String` `isValidPredefinedType(PredefinedDataType type, DatabaseDefinition dbdef)` Validates whether the given predefined data type is a valid one.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PredefinedDataTypeValidator

    public PredefinedDataTypeValidator()

Method Detail

### isValidPredefinedType

    public static java.lang.String isValidPredefinedType(PredefinedDataType type,
                                                         DatabaseDefinition dbdef)

  Validates whether the given predefined data type is a valid one.

  Parameters:
    `type` - a predefined data type
    `dbdef` - the databse definition
  Returns:
    `null` if the data type is valid, otherwise returns the error message

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.